## org.exist.util.hashtable
Class NamePool

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.NamePool

public class NamePool
extends AbstractHashtable

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`NamePool()`
`NamePool(int iSize)` Create a new symbol table using the specified size.

Method Summary
`int` `add(QName value)`
`java.lang.Object` `get(int pos)`
`java.util.Iterator` `iterator()`
`void` `remove(QName value)`
`int` `size()`
`java.util.Iterator` `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamePool

    public NamePool()

### NamePool

    public NamePool(int iSize)

  Create a new symbol table using the specified size. The actual size will be next prime number following iSize * 1.5.

Parameters:
  `iSize` -

Method Detail

### size

    public int size()

  Overrides:
    `size` in class `AbstractHashtable`

### get

    public java.lang.Object get(int pos)

### add

    public int add(QName value)

### remove

    public void remove(QName value)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

Copyright (C) Wolfgang Meier. All rights reserved.